#include <stdio.h>

int main()
{
    int a,b,x,y;
    scanf("%d%d",&a,&b);
    scanf("%d%d",&x,&y);
    if (x==a && y==b) printf("nijedan");
    else if (x==a) printf("drugi");
    else if (y==b) printf("prvi");
    else printf("?");
}